Skip to main content

Get Followers

Retrieve user followers by user id.

Params

NameTypeDefaultDescription
id (required)intUser id
countint50Number of users to return (max: 50)
max_idstringNoneUse for pagination
querystringNoneSearch query

Note: page size is not guaranteed — a response may contain fewer than count users.

You can use the max_id parameter to paginate through followers (take from the next_max_id field of the response).

Note: if query is specified, count and max_id is ignored.

Note: for verified accounts Instagram returns a fixed sample of about 50 followers: next_max_id is not returned, so there is no pagination, and query has no effect.

Usage

from rocketapi import InstagramAPI


instagram_api = InstagramAPI(token="your-api-key")
print(instagram_api.get_user_followers(12281817, count=50))

Response example

Loading...